0

I want to start working with Solidity in my Visual Studio Code so i installed Visuall Studio Code first, then nodejs and npm and in the end i try to install Truffles.

-I work on Window 10 OS

-Nodejs Version is v14.16.0

-npm Version is 7.6.3

I tried to install Truffle in my Windows PowerShell with the command npm install -g truffle

and it had that problems Problems

Then i run npm audit fix

and showed this

enter image description here

How can i fix that issues?

Thanks in advance!

Update 1

Finally i run the command npm i --package-lock-only

and it showed me 0 vulnerabilities

but then i run truffle version and it showed me this

enter image description here

How i solve that?

1
  • I have the same problem now. Do you arrive to solution ?
    – Esraa
    Sep 26 at 19:36
0

I had similar issue when I was learning coding smart contracts. The issue happened for me when I uninstalled truffle and installed it again to get an upgraded version of solidity. The terminal print out for me was as below

The printout in terminal after running npm install -g truffle

So I run simply npm audit fix --force

I didn't spend time investigating what this command did but I have 0 vulnerabilities now

0

I think you disabled protection with that npm audit fix --force idk if that's good but for sure doesn't sound like it

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.